## liquidsoap 1.0.0

=== Makefile ===

SUBDIRS= src examples doc gui scripts
DISTFILES = CHANGES COPYING INSTALL README \
	bootstrap configure.ac configure config.h.in \
	Makefile Makefile.defs.in Makefile.rules install-sh
DISTDIRS = m4

top_srcdir=.
include $(top_srcdir)/Makefile.rules

distclean: pre-distclean
	rm -f Makefile.defs
pre-distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml scripts/liquidsoap.initd \
	       scripts/liquidsoap.gentoo.initd scripts/liquidsoap.logrotate \
	       gui/liguidsoap $(DISTDIR) $(DISTDIR).tar.bz2

test:
	$(MAKE) -C scripts/tests test

# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: system-install gentoo-install finish-configure

finish-configure:
ifneq ($(OS_TYPE),Win32)
	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let libs_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)\" >> src/configure.ml
	@echo let plugins_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)/plugins\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let tts_program = \"liquidtts\" >> src/configure.ml
	@echo let rundir = \"run\" >> src/configure.ml
	@echo let logdir = \"logs\" >> src/configure.ml
	@echo let plugins_dir = \"plugins\" >> src/configure.ml
	@echo let libs_dir = \"libs\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let display_types = ref false >> src/configure.ml
	@echo "(* Enable backtrace printing if possible, does nothing on ocaml<3.11 *)" >> src/configure.ml
	@echo "let record_backtrace _ = ()" >> src/configure.ml
	@echo "open Printexc" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = record_backtrace true" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.

install-local: doc-install
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/liquidtts $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
	for l in externals.liq lastfm.liq utils.liq shoutcast.liq flows.liq video_text.liq \
		       http.liq http_codes.liq pervasives.liq ; \
	do \
	  $(INSTALL_DATA) scripts/$$l $(libdir)/liquidsoap/$(libs_dir_version) ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq \
	  ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate \
	  ${sysconfdir}/logrotate.d/liquidsoap

gentoo-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.gentoo.initd ${sysconfdir}/init.d/liquidsoap

service-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.initd ${sysconfdir}/init.d/liquidsoap

=== src/Makefile ===

SUBDIRS= tools decoder playlists encoder protocols plugins stream lang \
		 ogg_formats video_converters audio_converters \
		 operators sources conversions outputs io visualization analyze synth

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

top_srcdir=..
include $(top_srcdir)/Makefile.defs

# Liquidsoap source files work as follows.
# Each file has to be either added to liquidsoap's files if compiled builtin
# or to the corresponding plugin if built as a plugin.
# For this purpose, we define the make function
# conditional_compilation, which redirects each of those files to
# the correct make variable. Its parameters are:
# $1: name of the make variable where the file should go if compiled builtin.
# $2: the $W_FOO variable
# $3: path to the file
# $4: type of source: empty for .ml sources,
#                     c_ for c sources and camlp4_ for camlp4 sources.
#                     (Camlp4 sources are not supported yet..)
#
# For now, the old style Makefile has been converted to
# this new style by replacing $(if $(W_FOO),..) by
# $(call conditional_compilation,..). However, this may
# cause some trouble as the order of declaration is important
# both for the builtin case and plugin case.. See for instance
# SDL files, whose declaration have been moved at the end.
conditional_compilation = \
  $(if $(2),\
    $(if $(2:yes=),\
      $(eval $(2)_$(4)sources += $(3)),\
      $(eval $(1) += $(3))))

liquidsoap_c_files = \
	tools/locale_c.c \
	$(if $(NEED_TCP_NODELAY),tools/socket_stubs.c)

# Add conditional files..
$(call conditional_compilation,liquidsoap_c_files,$(W_OSS),io/oss_io_c.c,c_)

# Camlp4 compilation works as follow:
# both .camlp4 and .ml files are present in the
# source tree.
# If camlp4o is detected, then a .camlp4.ml target
# is executed for each .camlp4. This target creates a .camlp4.ml
# file that is not used and regenerate the .ml files used for compilation.
liquidsoap_camlp4_files = \
	$(if $(W_DUPPY_SYNTAX),outputs/harbor_output.camlp4) \
	$(if $(W_DUPPY_SYNTAX),tools/server.camlp4) \
	$(if $(W_DUPPY_SYNTAX),tools/harbor.camlp4)

# This variable contains only conditional files..
ogg_demuxer =

$(call conditional_compilation,ogg_demuxer,$(W_SPEEX),ogg_formats/speex_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_VORBIS),ogg_formats/vorbis_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_THEORA),ogg_formats/theora_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_SCHROEDINGER),ogg_formats/dirac_decoder.ml)

# This variable contains only conditional files..
ogg_muxer =

$(call conditional_compilation,ogg_muxer,$(W_OGG),ogg_formats/ogg_muxer.ml)
$(call conditional_compilation,ogg_muxer,$(W_OGG), encoder/ogg_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_SPEEX),ogg_formats/speex_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_VORBIS),ogg_formats/vorbis_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_THEORA),ogg_formats/theora_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_SCHROEDINGER),ogg_formats/dirac_encoder.ml)

audio_converters = \
	audio_converters/native_audio_converter.ml

$(call conditional_compilation,audio_converters,$(W_SAMPLERATE),audio_converters/libsamplerate_converter.ml)

video_converters = \
	video_converter.ml \
	video_converters/native_video_converter.ml

$(call conditional_compilation,video_converters,$(W_GAVL),video_converters/gavl_converter.ml)

decoders = \
	decoder/metadata_decoder.ml \
	decoder/wav_decoder.ml decoder/midi_decoder.ml \
	$(if ($(OS_TYPE):Win32=),decoder/external_decoder.ml)

$(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
$(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
$(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
$(call conditional_compilation,decoders,$(W_MAD),decoder/mp3.ml)
$(call conditional_compilation,decoders,$(W_VORBIS),decoder/vorbisduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC),decoder/flacduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC_OGG),decoder/ogg_flac_duration.ml)
$(call conditional_compilation,decoders,$(W_TAGLIB),decoder/taglib_plug.ml)

playlists = \
	playlists/playlist_basic.ml

$(call conditional_compilation,playlists,$(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	$(if ($(OS_TYPE):Win32=),protocols/say.ml) \
	protocols/annotate.ml \
	protocols/mpd.ml \
	$(if ($(OS_TYPE):Win32=),protocols/extproto.ml)

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml \
	sources/audio_gen.ml sources/request_source.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/generated.ml sources/http_source.ml \
	tools/harbor.ml sources/harbor_input.ml \
	$(if ($(OS_TYPE):Win32=),sources/external_input.ml) \
	tools/liqMM.ml

$(call conditional_compilation,sources,$(W_BJACK),sources/bjack_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_metadata.ml operators/store_metadata.ml \
	operators/on_track.ml operators/on_end.ml operators/delay.ml \
	operators/switch.ml operators/fade.ml operators/add.ml \
	operators/sequence.ml operators/cross.ml operators/smartcross.ml \
	operators/compress_exp.ml operators/pitch.ml \
	operators/fir_filter.ml operators/iir_filter.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml operators/filter.ml \
	operators/setvol.ml operators/normalize.ml operators/echo.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml \
	operators/mixing_table.ml operators/prepend.ml \
	operators/midi_routing.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/video_image.ml operators/chord.ml \
	operators/video_text.ml

$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/soundtouch_op.ml)
$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/st_bpm.ml)
$(call conditional_compilation,operators,$(W_LADSPA),operators/ladspa_op.ml)

conversions = \
	conversions/audio_to_stereo.ml conversions/drop.ml conversions/id.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

analyze = analyze/analyze_rms.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/aacplus_encoder.ml \
	$(if ($(OS_TYPE):Win32=),encoder/external_encoder.ml) \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_AACPLUS_DYN),encoder/aacplus_encoder_dynlink.ml)

$(call conditional_compilation,encoders,$(W_LAME),encoder/lame_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_FLAC),encoder/flac_encoder.ml)
$(call conditional_compilation,encoders,$(W_AACPLUS),encoder/aacplus_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_VOAACENC),encoder/voaacenc_encoder.ml)
$(call conditional_compilation,encoders,$(W_TAGLIB),encoder/taglib_id3v2.ml)

outputs = outputs/output.ml \
	outputs/pipe_output.ml \
	outputs/harbor_output.ml

$(call conditional_compilation,outputs,$(W_AO),outputs/ao_out.ml)
$(call conditional_compilation,outputs,$(W_CRY),outputs/icecast2.ml)
$(call conditional_compilation,outputs,$(W_GRAPHICS),outputs/graphics_out.ml)
$(call conditional_compilation,outputs,$(W_BJACK),outputs/bjack_out.ml)

io = io/udp_io.ml

$(call conditional_compilation,io,$(W_OSS),io/oss_io.ml)
$(call conditional_compilation,io,$(W_PULSEAUDIO),io/pulseaudio_io.ml)
$(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)
$(call conditional_compilation,io,$(W_GSTREAMER),io/gstreamer_io.ml)

tools = tools/doc.ml tools/plug.ml tools/utils.ml \
	$(if $(W_DYNLINK),tools/dyntools.ml) \
	tools/rqueue.ml \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_AACPLUS_DYN),tools/aacplus_dynlink.ml) \
	tools/liq_sockets.ml \
	tools/wav.ml configure.ml \
	tools/tutils.ml tools/http.ml tools/pool.ml

stream =stream/frame.ml stream/generator.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml

visualization = visualization/vumeter.ml \
	visualization/midimeter.ml \
	visualization/video_volume.ml

$(call conditional_compilation,visualization,$(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml

$(call conditional_compilation,synth,$(W_DSSI),synth/dssi_op.ml)

builtins = lang/lang_builtins.ml \
	$(if $(W_YOJSON),lang/builtins_json.ml)

$(call conditional_compilation,builtins,$(W_LO),lang/builtins_lo.ml)
$(call conditional_compilation,builtins,$(W_MAGIC),lang/builtins_magic.ml)
$(call conditional_compilation,builtins,$(W_CRY),lang/builtins_cry.ml)

liquidsoap_sources= $(tools) SVN.ml audio_converter.ml $(stream) \
	decoder/decoder.ml request.ml tools/server.ml \
        source.ml clock.ml tools/rutils.ml \
	playlist_parser.ml encoder/encoder.ml \
	tools/server_builtins.ml

# Some for camlimages
$(call conditional_compilation,decoders,$(W_CAMLIMAGES),decoder/camlimages_decoder.ml)

# Include SDL now. Order matters so we group them all here..
$(call conditional_compilation,liquidsoap_sources,$(W_SDL),tools/sdl_utils.ml)
$(call conditional_compilation,synth,$(W_SDL),synth/keyboard_sdl.ml)
$(call conditional_compilation,decoders,$(W_SDL),decoder/sdlimage_decoder.ml)
$(call conditional_compilation,operators,$(W_SDL),operators/video_text_sdl.ml)
$(call conditional_compilation,outputs,$(W_SDL),outputs/sdl_out.ml)

# Same for lastfm..
$(call conditional_compilation,liquidsoap_sources,$(W_LASTFM),tools/liqfm.ml)
$(call conditional_compilation,protocols,$(W_LASTFM),protocols/lastfm_req.ml)
$(call conditional_compilation,sources,$(W_LASTFM),sources/lastfm_input.ml)
$(call conditional_compilation,builtins,$(W_LASTFM),lang/builtins_lastfm.ml)

# Same for alsa..
$(call conditional_compilation,liquidsoap_sources,$(W_ALSA), alsa_settings.ml)
$(call conditional_compilation,sources,$(W_ALSA),sources/alsa_in.ml)
$(call conditional_compilation,outputs,$(W_ALSA),outputs/alsa_out.ml)
$(call conditional_compilation,io,$(W_ALSA),io/alsa_io.ml)

# Same for GD..
$(call conditional_compilation,operators,$(W_GD),operators/video_text_gd.ml)

liquidsoap_sources += \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_encoders.ml lang/lang_parser.ml lang/lang_lexer.ml \
	lang/lang_pp.ml lang/lang.ml tools/start_stop.ml tools/ioRing.ml \
	tools/icecast_utils.ml \
	$(video_converters) $(audio_converters) $(ogg_demuxer) $(protocols) \
	$(sources) $(conversions) $(outputs) $(operators) \
	$(encoders) $(ogg_muxer) $(io) \
	$(analyze) $(playlists) $(visualization) $(synth) $(decoders) \
	shebang.ml $(builtins) main.ml

include $(top_srcdir)/Makefile.rules

OCAML_CFLAGS= -thread $(patsubst %,-I %,$(SUBDIRS))
DEP_OPTS= $(patsubst %,-I %,$(SUBDIRS))

liquidsoap_doc_sources= \
	source.ml clock.ml encoder/encoder.ml \
	tools/plug.ml tools/http.ml \
	decoder/decoder.ml request.ml outputs/output.ml \
	lang/lang.ml tools/server.ml \
	tools/tutils.ml playlist_parser.ml \
	tools/doc.ml tools/wav.ml \
	sources/request_source.ml operators/switch.ml \
	configure.ml video_converter.ml \
	stream/frame.ml stream/aFrame.ml \
	stream/vFrame.ml audio_converter.ml \
	stream/mFrame.ml stream/generator.ml

# Compute something like " (trunk/liquidsoap@rev1234)" when .svn is present,
SVN.ml: Makefile $(liquidsoap_sources:SVN.ml=)
	if test -d .svn && which svn > /dev/null ; then \
	  url=`LC_ALL=C svn info | grep URL | \
	       sed -e 's:.*svnroot/savonet/\(.*\)/src:\1:'`; \
	  revision=`LC_ALL=C svn info | grep Revision | \
	            sed -e 's/Revision: \(.*\)/\1/'`  ; \
	  echo "let rev = \" ($$url@rev$$revision)\"" > SVN.ml ; \
	elif test -d ../../.hg && which hg > /dev/null ; then \

=== debian/changelog ===
liquidsoap (1.0.0-4build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2011 10:20:48 +0000

liquidsoap (1.0.0-4) unstable; urgency=low

  * Removed wrong depedency on liquidsoap-plugin-ogg from
    liquidsoap-plugin-oss. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 21 Oct 2011 21:32:51 +0200

liquidsoap (1.0.0-3) unstable; urgency=low

  * Better patch to compute lo dymanic plugin dependencies.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 18 Oct 2011 16:43:01 +0200

liquidsoap (1.0.0-2) unstable; urgency=low

  * Fixed gstreamer, lo and camlimages plugins:
   - Build-dep on ocaml-gstreamer >= 0.1.3 (fixed 
     linking options order).
   - Build-dep on camlimages >= 4.0.1-4 (fixed Sort
     weirdness).
   - Patch Makefile.rules to compute correct dependencies
     for dynamically linked modules. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 17 Oct 2011 00:17:59 +0200

liquidsoap (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Added new gstreamer plugins.
  * Removed debian/README.Debian-source: problematic files
    have been removed upstream. 
  * Using ttf-liberation for default font for video.add_text
    operators.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Oct 2011 16:38:00 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 ocaml-nox,
 dh-ocaml (>= 1.0.1),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.2.2),
 libogg-ocaml-dev (>= 0.4.3),
 libvorbis-ocaml-dev (>= 0.6.1),
 libmad-ocaml-dev (>= 0.4.3),
 libdtools-ocaml-dev (>= 0.2.2),
 libtaglib-ocaml-dev (>= 0.1.4),
 libcamomile-ocaml-dev,
 festival,
 libxml-dom-perl,
 python-gtk2-dev,
 python,
 python-support (>= 0.3),
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.4.2),
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libpcre-ocaml-dev,
 libladspa-ocaml-dev (>= 0.1.4),
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.7),
 liblastfm-ocaml-dev (>= 0.3.0),
 libspeex-ocaml-dev (>= 0.2.0),
 libgavl-ocaml-dev (>= 0.1.4),
 libtheora-ocaml-dev (>= 0.3.0),
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.2),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libmagic-ocaml-dev (>= 0.3.6),
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev (>= 0.3.0),
 libmm-ocaml-dev (>= 0.2.0),
 libflac-ocaml-dev,
 libschroedinger-ocaml-dev,
 libvoaacenc-ocaml-dev,
 libmp3lame-ocaml-dev (>= 0.3.1),
 libdssi-ocaml-dev,
 liblo-ocaml-dev,
 libcamlimages-ocaml-dev (>= 4.0.1-4),
 libyojson-ocaml-dev,
 libgstreamer-ocaml-dev (>= 0.1.0-3),
 libgd-gd2-noxpm-ocaml-dev (>= 1.0~alpha5-3),
 ttf-liberation
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 libcamomile-ocaml-data,
 wget,
 sox,
 adduser
Recommends:
 logrotate,
 mp3gain,
 vorbisgain,
 vorbis-tools,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-pulseaudio
Suggests:
 icecast2,
 festival,
 mplayer,
 liguidsoap,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-xmlplaylist
Provides:
 ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-plugin-all
Architecture: any
Depends:
 ${misc:Depends},
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Description: audio streaming language -- all plugins
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This meta-package installs all available plugins for Liquidsoap.

Package: liquidsoap-plugin-alsa
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- ALSA plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides ALSA support for liquidsoap.

Package: liquidsoap-plugin-ao
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- AO plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides AO support for liquidsoap.

Package: liquidsoap-plugin-camlimages
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Camlimages plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding various format of images
 in Liquidsoap using camlimages.

Package: liquidsoap-plugin-dssi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ladspa (= ${binary:Version})
Description: audio streaming language -- DSSI plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides DSSI plugins support for liquidsoap.

Package: liquidsoap-plugin-faad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- FAAD plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding AAC and M4A files in liquidsoap.

Package: liquidsoap-plugin-flac
Architecture: any
Depends:
 liquidsoap-plugin-ogg (= ${binary:Version}),
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- FLAC plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding and encoding native
 and ogg-encapsulated FLAC data in liquidsoap.

Package: liquidsoap-plugin-gavl
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Gavl plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for gavl video manipulation in Liquidsoap.

Package: liquidsoap-plugin-gd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Recommends: ttf-liberation
Description: audio streaming language -- libgd plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for operators using libgd. Currently,
 the only operator provided is input.video.add_text.gd. This operators
 provides video text rendering without any X-related dependency.

Package: liquidsoap-plugin-graphics
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Graphics plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Video visualisation operators using
 OCaml graphics module in Liquidsoap.

Package: liquidsoap-plugin-gstreamer
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- GStreamer plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible. 
 .
 This package provides support for operators using GStreamer. Currently, 
 the only operators provided are input.v4l and input.v4l2.

Package: liquidsoap-plugin-icecast
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Icecast plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Icecast output in liquidsoap.

Package: liquidsoap-plugin-jack
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- JACK plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides JACK support for liquidsoap.

Package: liquidsoap-plugin-ladspa
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},

## liquidsoap 1.0.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 .PHONY: system-install gentoo-install finish-configure
 
 finish-configure:
-ifneq ($(OS_TYPE),Win32)
+ifneq ($(CUSTOM_PATH),yes)
 	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
 	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
@@ -34,11 +34,11 @@
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
 else
-	@echo let tts_program = \"liquidtts\" >> src/configure.ml
-	@echo let rundir = \"run\" >> src/configure.ml
-	@echo let logdir = \"logs\" >> src/configure.ml
-	@echo let plugins_dir = \"plugins\" >> src/configure.ml
-	@echo let libs_dir = \"libs\" >> src/configure.ml
+	@echo let tts_program = get_dir \"liquidtts\" >> src/configure.ml
+	@echo let rundir = get_dir \"run\" >> src/configure.ml
+	@echo let logdir = get_dir \"logs\" >> src/configure.ml
+	@echo let plugins_dir = get_dir \"plugins\" >> src/configure.ml
+	@echo let libs_dir = get_dir \"libs\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
 endif

=== doc/Makefile ===
.PHONY: doc upload reference all-subdirs

SUBDIRS = content liqi
DISTFILES = liquidsoap.1 Makefile reference_to_liqi.pl no-ref.txt \
	    template.html snippet.html
DISTDIRS = orig
PERL_DOM = $(shell perl -MXML::DOM -e1 > /dev/null 2>&1 && echo yes)

CONTENT=$(wildcard content/*.txt)
PRE_HTML=$(shell echo $(CONTENT:.txt=.html) | sed -e 's/content\//html\//g') \
     html/reference.html html/settings.html
HTML=html/scripts/index.html
TEX=$(shell echo $(CONTENT:.txt=.tex) | sed -e 's/content\//tex\//g')
PDF=$(TEX:.tex=.pdf)

LIQI = cd html && ../liqi/liqi \
	     --template ../template.html --snippet-template ../snippet.html \
		 --subst rel:
LIQI_DEPS = liqi/liqi template.html snippet.html

# PDF is not ready for end-users yet.
doc: html

html: $(HTML)

pdf: liqref.pdf

liqref.pdf: tex/liqref.tex $(TEX)
	@echo Compiling liqref.pdf...
	@cd tex; pdflatex -interaction nonstopmode liqref.tex

html/scripts/index.html: html/scripts/index.txt $(LIQI_DEPS)
	@echo Generating $(@)...
	@#Has to be called from html to put scripts in the right place
	$(LIQI) --subst rel:../ -i ../$(<) -o ../$(@)

# I have to tell make that index.txt will be there
# once the HTML have been generated.
# Also ensures that the index is built last even with a concurrent make run.
html/scripts/index.txt: $(PRE_HTML)

html/%.html: content/%.txt $(LIQI_DEPS)
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -RfL orig/* html)
	@#Has to be called from html to put scripts in the right place
	@$(LIQI) -i ../$(<) -o ../$(@)

tex/%.tex: content/%.txt liqi/liqi
	@echo Converting $(<) to $(@)...
	@test -d tex || mkdir tex
	@./liqi/liqi --latex -i $(<) -o $(@)

tex/%.pdf: tex/%.tex
	@echo Converting $(<) to $(@)...
	@cd tex; pdflatex ../$(<)

liqi/liqi: all-subdirs
	@# If I don't put anything here, make tries to build liqi/liqi
	@# from liqi/liqi.o by using gcc

../src/liquidsoap:
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	exit 1

content/reference.txt: reference_to_liqi.pl ../src/liquidsoap ../scripts/utils.liq
ifeq ($(PERL_DOM),yes)
	CAML_LD_LIBRARY_PATH=../src:../src/plugins ../src/liquidsoap --dynamic-plugins-dir ../src/plugins \
	  --no-pervasives ../scripts/pervasives.liq --list-plugins-xml | \
	  ./reference_to_liqi.pl > $(@)
else
	@echo "-> You don't seem to have perl XML::DOM module installed."
	@echo "-> Language reference cannot be generated."
	@cp no-ref.txt content/reference.txt
endif

content/settings.txt: ../src/liquidsoap
	CAML_LD_LIBRARY_PATH=../src:../src/plugins ../src/liquidsoap --dynamic-plugins-dir ../src/plugins \
	--conf-descr-liqi > $(@)

VERSION="`../src/liquidsoap --version | head -n 1`"

test: html
	@echo "Testing code snippets with \033[1m$(VERSION)\033[0m"
	@echo ""
	@find html/scripts | grep '\.liq' | sort \
	  | ./scripts/test_snippets "`pwd`/../src/liquidsoap -p"
	@echo ""
	@echo "Testing shell scripts.."
	@echo "Please remember that it does not test liq syntax used inline.."
	@echo ""
	@find html/scripts | grep '\.sh' | sort | ./scripts/test_snippets "sh -n"
	@echo ""
	@echo "Testing perl scripts.."
	@echo ""
	@find html/scripts | grep '\.pl' | sort | ./scripts/test_snippets "perl -c"

spell-check: $(CONTENT:.txt=.txt.spell)

content/%.txt.spell: content/%.txt
	-aspell -d en_US-w_accents -c $(<)
	touch $(@)

doc-install:
	$(INSTALL)  -d $(datadir)/doc/$(DISTDIR)/html
	if [ -f html/index.html ] ; then \
	  cp -RfL html/* $(datadir)/doc/$(DISTDIR)/html ; \
        fi
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL_DATA) liquidsoap.1 $(mandir)/man1

clean-local:
	rm -rf html $(TEX) content/reference.txt content/settings.txt content/*.txt.spell

RCP=rsync -rLtCP --include="*.exe" --exclude="*.swp" --exclude="*.svn" \
	--delete --stats
RHOST=shell.sf.net:/home/groups/s/sa/savonet/htdocs/new/liq-svn
upload: update
	cd html ; $(RCP) . $(RHOST)
	ssh $(USER)@shell.sf.net "chgrp -R savonet \
	                            /home/groups/s/sa/savonet/htdocs \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type d -exec chmod 2775 '{}' ';' \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type f -exec chmod  664 '{}' ';' \
	                            > /dev/null 2>&1"

top_srcdir=..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 $(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
-$(call conditional_compilation,decoders,$(W_MAD),decoder/mp3.ml)
+$(call conditional_compilation,decoders,$(W_MAD),decoder/mad_decoder.ml)
 $(call conditional_compilation,decoders,$(W_VORBIS),decoder/vorbisduration.ml)
 $(call conditional_compilation,decoders,$(W_FLAC),decoder/flacduration.ml)
 $(call conditional_compilation,decoders,$(W_FLAC_OGG),decoder/ogg_flac_duration.ml)
@@ -280,3 +280,4 @@
 	            sed -e 's/Revision: \(.*\)/\1/'`  ; \
 	  echo "let rev = \" ($$url@rev$$revision)\"" > SVN.ml ; \
 	elif test -d ../../.hg && which hg > /dev/null ; then \
+	  branch=`hg branch`; \

=== doc/liqi/Makefile ===
DISTFILES= $(wildcard *.ml*) Makefile

ocaml_progs=liqi
liqi_sources=liqi.ml html.ml latex.ml liqi_parser.ml liqi_lexer.ml main.ml

# Stupid need because of liquidsoap's CFLAGS, don't care for now
liqi_ocamlcflags=-thread -linkpkg -package pcre -package str

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = $(wildcard *.ml*) Makefile
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed liquidsoap.install.in for armel. 
  * Dropped fix_lo_deps.patch: applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 04 Jul 2012 00:41:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libogg-ocaml-dev (>= 0.4.3),
  libvorbis-ocaml-dev (>= 0.6.1),
  libmad-ocaml-dev (>= 0.4.3),
- libdtools-ocaml-dev (>= 0.2.2),
+ libdtools-ocaml-dev (>= 0.3.0),
  libtaglib-ocaml-dev (>= 0.1.4),
  libcamomile-ocaml-dev,
  festival,
@@ -41,7 +41,7 @@
  libsdl-ocaml-dev,
  libfaad-ocaml-dev (>= 0.3.0),
  libmm-ocaml-dev (>= 0.2.0),
- libflac-ocaml-dev,
+ libflac-ocaml-dev (>= 0.1.1),
  libschroedinger-ocaml-dev,
  libvoaacenc-ocaml-dev,
  libmp3lame-ocaml-dev (>= 0.3.1),

## liquidsoap 1.0.1+repack1

=== src/tools/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.camlp4) $(wildcard *.mli) $(wildcard *.c) $(wildcard *.in)  Makefile 

ocaml_tests = mixer_test wav_test tutils_test
OCAML_CFLAGS= -thread -package dtools

mixer_test_sources = mixer_c.c mixer.ml mixer_test.ml
wav_test_sources = mixer_c.c mixer.ml wav.ml wav_test.ml
tutils_test_sources = tutils.ml tutils_test.ml

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.0.1+repack1-1) unstable; urgency=low

  * Repacked upstream tarball to remove unecessary
    .bak files
  * Bumped standard version to 3.9.3 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 04 Jul 2012 19:09:46 +0200

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
  libgstreamer-ocaml-dev (>= 0.1.0-3),
  libgd-gd2-noxpm-ocaml-dev (>= 1.0~alpha5-3),
  ttf-liberation
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
 Homepage: http://savonet.sourceforge.net/
